Name:           perl-DBIx-RunSQL
Version:        0.14
Release:        1%{?dist}
Summary:        Run SQL commands from a file
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DBIx-RunSQL/

Source0:        http://search.cpan.org/CPAN/authors/id/C/CO/CORION/DBIx-RunSQL-%{version}.tar.gz
%{?el5:BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)}
BuildArch:      noarch

BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)

# Run-time:
BuildRequires:  perl(DBI)
BuildRequires:  perl(base)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)

# Testing
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DBD::SQLite)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Pod::Readme)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Getopt::Long)
Requires:       perl(Pod::Usage)


%description
This module abstracts away the "run these SQL statements to set up
a database" into a module. It also abstracts away the reading of
SQL from a file and allows for various command line parameters
to be passed in.


%prep
%setup -q -n DBIx-RunSQL-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
%if 0%{?el5}
rm -rf $RPM_BUILD_ROOT
%endif
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%if 0%{?el5}
%clean
rm -rf $RPM_BUILD_ROOT
%endif


%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed May 25 2016 Denis Fateyev <denis@fateyev.com> - 0.14-1
- Update to 0.14 release

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.13-4
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 Denis Fateyev <denis@fateyev.com> - 0.13-1
- Update to 0.13 release

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.12-3
- Perl 5.22 rebuild

* Tue Oct 07 2014 Denis Fateyev <denis@fateyev.com> - 0.12-2
- Small spec improvements

* Fri Sep 12 2014 Denis Fateyev <denis@fateyev.com> - 0.12-1
- Initial release
